#include "xparameters.h"
#include "xbasic_types.h"
#include "oscillator.h"

// Pointer to the peripheral
Xuint32 *oscillator_0_baseaddr_p =
                     (Xuint32 *) XPAR_OSCILLATOR_0_BASEADDR;
 
// Base address of the peripheral
Xuint32 oscillator_0_baseaddr;

int main (void)
{
  // Check that the oscillator exists
  XASSERT_NONVOID(oscillator_0_baseaddr_p != XNULL);
  oscillator_0_baseaddr = (Xuint32) oscillator_0_baseaddr_p;

  // Write the data pattern to the slave registers
  OSCILLATOR_mWriteSlaveReg0(oscillator_0_baseaddr,0xAAAAA);
  OSCILLATOR_mWriteSlaveReg1(oscillator_0_baseaddr,0xAAAAA);
  OSCILLATOR_mWriteSlaveReg2(oscillator_0_baseaddr,0xAAAAA);
  OSCILLATOR_mWriteSlaveReg3(oscillator_0_baseaddr,0xAAAAA);

  xil_printf("\n\rOscillator running\n\r");

  while(1){}
 
  return(0);
}
